package com.puship.test;

import static org.junit.Assert.fail;

import java.net.UnknownHostException;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class SendPushMessageByDevice {

	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId,cr);
		
		try {
	
			HashMap<String, Object> map=  new HashMap<String, Object>();
			map.put("Message", "Push message to android from java");
			map.put("Badge", "2");
			map.put("Push", "True");
			map.put("Sound", "Default");
			
			Set<String> devicetosend = new HashSet<String>();
			devicetosend.add("jS0oE8PtHcVerde_7a6ff0f023039299"); //push sent to Android device
			
			map.put("Devices", devicetosend);
			
			HashMap<String, Object> params=  new HashMap<String, Object>();
			params.put("Param1", "Param number 1");
			params.put("Param2", "ttps://www.facebook.com/OfficialPuship");
			params.put("Param3", "index.html");
			params.put("Param4", "122.45");
			params.put("Param5", "Special chars:  '%1234567890\"!$%&/()=?^@#-,'"); //max 5 params
			
			map.put("Params", params);
			
			JSONObject al= ca.SendPushMessageByDevice(map);
			
			if (al!=null){
				System.out.println("Error: " + al.get("Error"));
				System.out.println("Message: " + al.get("Message"));
				System.out.println("PushMessageId: " + al.get("StringParam1"));
			} else{
				System.out.println("Error during request");
			}
			
		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during SendPushMessageByDevice");
		}
	}
}
